module Topkata.State where

import Labygen
import Topkata.Topka.Topka

data State = State {
      stLaby  :: !(World Pos3)
    ,stTopka  :: TopkaState
}

origin = Pos3 (0, 0, 0)
target = Pos3 (30, 0, 30)

newState = do
    laby <- labygenIO (origin, target) origin target
    return $ State { 
                 stLaby = laby
               , stTopka = initialTopkaState 
               }
